URL structure
{organisationId} is the ID of an organisation.
Supported methods and overview
POST- exports/downloads a list of information for all API-based requests made to the Cocoon Data Platform’s Access Service, within the scope of an organisation (specified byorganisationId).
Detailed description
This API endpoint exports/downloads a list of field information for all API-based requests made to the Cocoon Data Platform’s Access Service, within the scope of an organisation (specified byorganisationId).
Supported roles and conditions
This API endpoint supports requests utilising Cocoon Data user accounts with the following roles (as described in the Organisation Administrator’s Guide) and conditions:- Organisation administrator - when this user is a member of the organisation specified by the
{organisationId}of the request’s URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/x-www-form-urlencoded
Optional parameters
The following optional parameters can be sent in the body of the request (as form URL-encoded data):-
startTime - Specify a date in the format
DD/MM/YYYY, where each ‘/’ sign is escaped (%2F). - endTime - Specify a later date in the same format as that used for startTime.
- clientId - Specify the client ID of a client application configured on the Cocoon Data Platform.
- email - Specify the email address of a Cocoon Data user account whose access token was submitted in the header of the API-based requests.
-
action - Specify the sub-parameter value:
CREATED- for API-basedPOSTmethod requests,RETRIEVED- for API-basedGETmethod requests,UPDATED- for API-basedPUTmethod requests,DELETED- for API-basedDELETEmethod requests.
-
apiType - Specify the sub-parameter value:
AUTH- for API-based requests relating to authentication and authorisation,COLLABORATIONS- for API-based requests relating to collaborators,COLLECTIONS- for API-based requests relating to folders,CONTACTS- for API-based requests relating to contacts,KEYS- for API-based requests relating to keys,NOTIFICATIONS- for API-based requests relating to email notifications,OBJECTS- for API-based requests relating to file objects,USERS- for API-based requests relating to users.
-
exportFormat - Specify the enumeration (enum) value of
csvto export/download the report in CSV format orpdfto export/download the report in PDF format. If this parameter is omitted, then its value iscsvby default. -
pageStart - Specify a value representing the count order of all retrievable items (i.e. API-based requests in the organisation specified by
{organisationId}in this request’s URL) returned in the response. This value works similarly to the offset parameter, utilised when retrieving API-request reports in JSON format (via request to the <access-service>/api/v1/organisations/{organisationId}/audit API endpoint).
Example (request):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
